Package Details: python-detectron2-git r304.5e2a1ec-1

Git Clone URL: https://aur.archlinux.org/python-detectron2-git.git (read-only, click to copy)
Package Base: python-detectron2-git
Description: Detectron2 is Facebook AI Research's next generation software system that implements state-of-the-art object detection algorithms.
Upstream URL: https://github.com/facebookresearch/detectron2
Licenses: Apache-2.0
Conflicts: python-detectron2
Provides: python-detectron2
Submitter: jerry73204
Maintainer: jerry73204
Last Packager: jerry73204
Votes: 0
Popularity: 0.000000
First Submitted: 2020-03-04 15:44
Last Updated: 2020-03-04 15:44

Latest Comments

ruestique commented on 2020-07-27 09:25

found another issue

OSError: CUDA_HOME environment variable is not set. Please set it to your CUDA install root.

even after reboot(via installation cuda says that you should reboot to fix vars) it doesn't work


i guess it is torchvision issue


export CUDA_HOME=/opt/cuda/ - helped

jerry73204 commented on 2020-06-16 21:33

@ruestique pikaur admits distinct behavior that it does not resolve indirect packages via provides field. The relevant github issue can be found in the wild.

I think the current writing of PKGBUILD is not the blame. According to the guideline, Git sourced packages are encouraged to have -git name suffix, and add the analogous package in provides field. I've tried my best to do it right.

In the end, pikaur cannot resolve indirect package, and there is no such package python-detectron2. So, please search before install or use helpers like yay that resolve indirect packages.

ruestique commented on 2020-06-16 19:30

there is no any automatically

it's just not work!

↪ aur python-detectron2-git
Reading repository package databases...
Reading local package database...
Resolving AUR dependencies...
:: error: Can't resolve dependencies for AUR package 'python-detectron2-git':
:: error: Dependencies missing for python-detectron2-git
:: warning: Following package cannot be found in AUR:
python-cocoapi
:: Try recovering?
[e] edit PKGBUILD
[s] skip this package
[A] abort

alias aur='pikaur -S'

jerry73204 commented on 2020-06-09 02:20

The python-cocoapi-git already provides python-cocoapi. If you are using AUR helper (I use yay), it should track the dependencies and figure it out automatically. If you makepkg manually, please install python-cocoapi-git in anticipation.

ruestique commented on 2020-06-08 19:09

please set python-cocoapi-git instead

ruestique commented on 2020-06-08 18:53

Hi! Thank you for package, but

:: warning: Following package cannot be found in AUR:
    python-cocoapi